Bug 286421 - korganizer: the "current time" line on the week view shows up on the wrong day
Summary: korganizer: the "current time" line on the week view shows up on the wrong day
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: general (show other bugs)
Version: 0.9
Platform: Ubuntu Packages Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-12 14:51 UTC by Ryan Nowakowski
Modified: 2014-03-07 22:34 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.13


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Nowakowski 2011-11-12 14:51:34 UTC
Version:           0.9 (using KDE 4.7.2) 
OS:                Linux

I suspended my laptop on Friday and resumed on Saturday at 8:30 AM.  The week view in korganizer has the current time line on 8:30 AM but it's still on the Friday column.  If I switch view and switch back, the line shows up on Saturday(correct).

Reproducible: Didn't try

Steps to Reproduce:
I suspended my laptop on Friday and resumed on Saturday at 8:30 AM.  The week view in korganizer has the current time line on 8:30 AM but it's still on the Friday column.  If I switch view and switch back, the line shows up on Saturday(correct).


Expected Results:  
The time should show up on the correct day upon resuming from suspend.

OS: Linux (x86_64) release 3.0.0-12-generic
Compiler: gcc
Comment 1 Martin Kyral 2013-05-28 08:07:08 UTC
I can confirm this bug with 4.10.3. Happens to me quite often as I'm used to suspend my box overnight.
Comment 2 Moviuro 2014-03-06 11:33:38 UTC
I can confirm on latest Archlinux packages (4.12.2)
Comment 3 Sergio Martins 2014-03-06 14:57:40 UTC
(In reply to comment #2)
> I can confirm on latest Archlinux packages (4.12.2)

You were asking about the source location, it's here: kdepim/calendarviews/agenda/agenda.cpp
Look for MarcusBains, it's only comparing against time, not date
Comment 4 Sergio Martins 2014-03-07 22:34:54 UTC
Git commit ff9eadfe43f0ccf060bcac62d4c3abb69bf4011b by Sergio Martins.
Committed on 07/03/2014 at 22:33.
Pushed by smartins into branch 'KDE/4.13'.

korg: Refresh Marcus Bains line after waking from suspend.
FIXED-IN: 4.13

M  +8    -7    calendarviews/agenda/agenda.cpp

http://commits.kde.org/kdepim/ff9eadfe43f0ccf060bcac62d4c3abb69bf4011b